import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ConfigService } from '../../../services/config.service';
import { AdminRoutes } from '../../admin-routing.module';

@Component({
  selector: 'app-admin-nav-bar',
  templateUrl: './nav-bar.component.html',
  styleUrl: '../../admin.scss',
})
export class NavBarComponent implements OnInit {
  public routes = AdminRoutes;
  private ghostLink: string;

  constructor(
    public router: Router,
    private configService: ConfigService,
  ) {}

  ngOnInit(): void {
    this.configService.getConfig().then((config) => {
      this.ghostLink = config.ghostAdminUrl;
    });
  }

  public openGhost(): void {
    window.open(this.ghostLink);
  }
}
